Runtime

## org.eclipse.gmf.runtime.diagram.ui.view.factories
Class TextShapeViewFactory

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
          org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
              org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractShapeViewFactory
                  org.eclipse.gmf.runtime.diagram.ui.view.factories.TextShapeViewFactory

All Implemented Interfaces:
  ViewFactory

Direct Known Subclasses:
  NoteViewFactory

public class TextShapeViewFactory
extends AbstractShapeViewFactory

The Factory class responsible for creating the Text shape view

Constructor Summary
`TextShapeViewFactory()`

Method Summary
`protected void` `decorateView(View containerView, View view, IAdaptable semanticAdapter, java.lang.String semanticHint, int index, boolean persisted)` This method is responsible for decorating the created view, it get called by the Factory method

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractShapeViewFactory
`createLayoutConstraint, createStyles, initializeFromPreferences`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
`createNode, createView, isUnProtectedSilentTransactionInProgress`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
`getEditingDomain, getPreferencesHint, getViewService, requiresElement, requiresElement, setPreferencesHint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextShapeViewFactory

    public TextShapeViewFactory()

Method Detail

### decorateView

    protected void decorateView(View containerView,
                                View view,
                                IAdaptable semanticAdapter,
                                java.lang.String semanticHint,
                                int index,
                                boolean persisted)

  Description copied from class: `BasicNodeViewFactory`
  This method is responsible for decorating the created view, it get called by the Factory method

  Overrides:
    `decorateView` in class `BasicNodeViewFactory`
  Parameters:
    `containerView` - the container of the view
    `view` - the view itself
    `semanticAdapter` - the semantic elemnent of the view (it could be null)
    `semanticHint` - the semantic hint of the view
    `index` - the index of the view
    `persisted` - flag indicating the the view was created as persisted or not
  See Also:
    `org.eclipse.gmf.runtime.diagram.ui.internal.view.AbstractNodeView#decorateView(org.eclipse.gmf.runtime.diagram.ui.internal.view.IContainerView, org.eclipse.core.runtime.IAdaptable, java.lang.String, int, boolean)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.